Author: wave
Date: Sat Nov  2 16:31:11 2013
New Revision: 1538215

URL: http://svn.apache.org/r1538215
Log:
Changes to urlrewrite tools in preparation for changes in support of the ssl 
wildcard certificate - *.openoffice.org

Added:
    openoffice/ooo-site/trunk/tools/urlrewrite2.sed
    openoffice/ooo-site/trunk/tools/urlrewrite2.sh   (with props)
Modified:
    openoffice/ooo-site/trunk/tools/urlrewrite.sed
    openoffice/ooo-site/trunk/tools/urlrewrite.sh

Modified: openoffice/ooo-site/trunk/tools/urlrewrite.sed
URL: 
http://svn.apache.org/viewvc/openoffice/ooo-site/trunk/tools/urlrewrite.sed?rev=1538215&r1=1538214&r2=1538215&view=diff
==============================================================================
--- openoffice/ooo-site/trunk/tools/urlrewrite.sed (original)
+++ openoffice/ooo-site/trunk/tools/urlrewrite.sed Sat Nov  2 16:31:11 2013
@@ -20,9 +20,9 @@
 #
 # This file contains a set of url change commands.
 #
-s/\/openofficeorg\/www/\//g
-s/\/openofficeorg\//\//g
-s/http:\/\/www.openoffice.org/\//g
+#s/\/openofficeorg\/www/\//g
+#s/\/openofficeorg\//\//g
+s/http:\/\/www.openoffice.org\//\//g
 
 #
 # For bugzilla:
@@ -66,7 +66,7 @@ s/http:\/\/eo.openoffice.org/\/eo/g
 s/http:\/\/es.openoffice.org/\/es/g
 s/http:\/\/et.openoffice.org/\/et/g
 s/http:\/\/eu.openoffice.org/\/eu/g
-s/http:\/\/extensions.openoffice.org/\/extensions/g
+#s/http:\/\/extensions.openoffice.org/\/extensions/g
 s/http:\/\/external.openoffice.org/\/external/g
 s/http:\/\/fa.openoffice.org/\/fa/g
 s/http:\/\/fi.openoffice.org/\/fi/g

Modified: openoffice/ooo-site/trunk/tools/urlrewrite.sh
URL: 
http://svn.apache.org/viewvc/openoffice/ooo-site/trunk/tools/urlrewrite.sh?rev=1538215&r1=1538214&r2=1538215&view=diff
==============================================================================
--- openoffice/ooo-site/trunk/tools/urlrewrite.sh (original)
+++ openoffice/ooo-site/trunk/tools/urlrewrite.sh Sat Nov  2 16:31:11 2013
@@ -37,8 +37,8 @@
 #  Fixups may be needed for css, js and other types of files.
 #
 
-if test "$#" != 1; then
-  echo "USAGE: $0 PROJECT"
+if test "$#" != 2; then
+  echo "USAGE: $0 PROJECT SUFFIX"
   exit 1
 fi
 
@@ -47,11 +47,12 @@ sedscripts=${toolsdir}/urlrewrite.sed
 contentdir=${toolsdir}/../content/
 
 webproject=$1
+suffixmatch=$2
 
 if test -d ${contentdir}${webproject}; then
     echo "============ '$webproject' performing url fixups ..."
     cd ${contentdir}${webproject}
-    for htmlfile in `find . -name "*.html"` ; do
+    for htmlfile in `find . -name "${suffixmatch}"` ; do
        echo ${htmlfile}
        mv ${htmlfile} ${htmlfile}.bak
        sed -f ${sedscripts} ${htmlfile}.bak > ${htmlfile}
@@ -59,6 +60,6 @@ if test -d ${contentdir}${webproject}; t
        rm ${htmlfile}.bak
     done
     echo "============ '$webproject' performing url fixups ..."
-    grep -o "http://.*openoffice.org/"; `find . -name "*.html"`
+    find . -name "${suffixmatch}" -exec grep -o "http://.*openoffice.org/"; {} 
\;
 fi
 echo " "

Added: openoffice/ooo-site/trunk/tools/urlrewrite2.sed
URL: 
http://svn.apache.org/viewvc/openoffice/ooo-site/trunk/tools/urlrewrite2.sed?rev=1538215&view=auto
==============================================================================
--- openoffice/ooo-site/trunk/tools/urlrewrite2.sed (added)
+++ openoffice/ooo-site/trunk/tools/urlrewrite2.sed Sat Nov  2 16:31:11 2013
@@ -0,0 +1,33 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# This file contains a set of url change commands.
+#
+#s/\/openofficeorg\/www/\//g
+#s/\/openofficeorg\//\//g
+#s/https:\/\/www.openoffice.org/\//g
+
+#
+# For wiki
+s/http:\/\/wiki.services.openoffice.org\//https:\/\/wiki.openoffice.org\//g
+s/http:\/\/wiki.openoffice.org\//https:\/\/wiki.openoffice.org\//g
+# For forum
+s/http:\/\/forum.openoffice.org\//https:\/\/forum.openoffice.org\//g
+#

Added: openoffice/ooo-site/trunk/tools/urlrewrite2.sh
URL: 
http://svn.apache.org/viewvc/openoffice/ooo-site/trunk/tools/urlrewrite2.sh?rev=1538215&view=auto
==============================================================================
--- openoffice/ooo-site/trunk/tools/urlrewrite2.sh (added)
+++ openoffice/ooo-site/trunk/tools/urlrewrite2.sh Sat Nov  2 16:31:11 2013
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# Use this script to fetch all a project's webcontent for the projects
+# listed in the specified file (typically, webcontent-list.txt).
+#
+# See https://cwiki.apache.org/confluence/display/OOOUSERS/OOo-Sitemap
+# for a note on the checkout from the Kenai svn repository.
+#
+# USAGE:
+#   $ ./urlrewrite.sh WEB-PROJECT
+#
+#     WEB-PROJECT - the name of the project to apply the urlrewrite rules.
+#
+#  This is used to change html according the rules in urlrewrite.sed
+#  The project directory is scanned at the end for other urls which eventually
+#  need fixup when the new url is known.
+#
+#  Fixups may be needed for css, js and other types of files.
+#
+
+if test "$#" != 2; then
+  echo "USAGE: $0 PROJECT SUFFIX"
+  exit 1
+fi
+
+toolsdir=`pwd`
+sedscripts=${toolsdir}/urlrewrite2.sed
+contentdir=${toolsdir}/../content/
+
+webproject=$1
+suffixmatch=$2
+
+if test -d ${contentdir}${webproject}; then
+    echo "============ '$webproject' performing url fixups ..."
+    cd ${contentdir}${webproject}
+    for htmlfile in `find . -name "${suffixmatch}"` ; do
+       echo ${htmlfile}
+       mv ${htmlfile} ${htmlfile}.bak
+       sed -f ${sedscripts} ${htmlfile}.bak > ${htmlfile}
+       diff -q ${htmlfile}.bak ${htmlfile}
+       rm ${htmlfile}.bak
+    done
+    echo "============ '$webproject' performing url fixups ..."
+    find . -name "${suffixmatch}" -exec grep -o "https://.*openoffice.org/"; {} 
\;
+fi
+echo " "

Propchange: openoffice/ooo-site/trunk/tools/urlrewrite2.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: openoffice/ooo-site/trunk/tools/urlrewrite2.sh
------------------------------------------------------------------------------
    svn:executable = *


Reply via email to